#Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.  
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_VV_Microdati_2019_Viaggi_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_VV_A2019_Viaggi<- read.delim2 (fileInput,  header=T, sep="	",  quote="",  na.strings = ".")
attr(DF_VV_A2019_Viaggi, "label") <- c(
"tipo record",
"mese di riferimento dei dati",
"anno di riferimento dei dati",
"Numero d'ordine progressivo dell'individuo nell'anno",
"sesso",
"classi di eta' in anni compiuti",
"stato civile",
"paese di nascita",
"regione di residenza",
"ripartizione geografica di residenza",
"titolo di studio piu' alto conseguito",
"condizione professionale oggettiva",
"posizione nella professione",
"settore di attivita' economica",
"condizione professionale soggettiva",
"tipo di orario di lavoro",
"tipo di rapporto di lavoro",
"codifica della professione lavorativa (Grandi gruppi)",
"numero progressivo del viaggio effettuato dallo stesso individuo",
"tipologia, mese e anno di riferimento del viaggio",
"regione italiana o stato estero dell'UE di destinazione principale o macro-area geografica non UE",
"provincia italiana di destinazione principale",
"destinazione principale: italia/estero",
"giorno di inizio del viaggio",
"mese di inizio del viaggio",
"anno di inizio del viaggio",
"durata del viaggio in numero di notti",
"motivo prevalente della vacanza",
"principale mezzo di trasporto utilizzato",
"principale tipo di alloggio utilizzato",
"motivo prevalente del viaggio di lavoro",
"organizzazione alloggio",
"organizzazione trasporto",
"filtro: se hanno partecipato al viaggio altri componenti della famiglia",
"utilizzo di internet per prenotare l'alloggio",
"utilizzo di internet per prenotare il trasporto",
"tipo luogo=mare",
"tipo luogo=crociera",
"tipo luogo=montagna",
"tipo luogo=citta'",
"tipo luogo=campagna",
"tipo luogo=altro",
"coefficiente di riporto per le stime di viaggi, escursioni e individui (turisti e non turisti) nel mese medio del trimestre",
"coefficiente di riporto per il calcolo dell'ammontare dei viaggi (abituali e non abituali) ed escursioni nel mese, nel trimestre e nell'anno",
"trimestre di riferimento dei dati",
"tipologia socio-demografica del comune di residenza",
"numero componenti della famiglia di fatto partecipanti al viaggio",
"tipo di attivita' principale svolta durante la vacanza",
"Spesa media per viaggio",
"Spesa media giornaliera del viaggio",
"prenotazione tramite piattaforme online come Booking,Expedia, Tripadvisor,Trivago, Kajak, etc.",
"prenotazione tramite piattaforme online come Airbnb, HomeAway, Scambiocasa,HomeToGo, etc.",
"prenotazione effettuata sul sito web dell'agenzia di viaggi/tour operator")

tr_Fact <- factor(DF_VV_A2019_Viaggi$tr, 
levels=c("02", 
"03", 
"04"), 
labels=c("Record individuale", 
"Record viaggi", 
"Record escursioni")) 


sesso_Fact <- factor(DF_VV_A2019_Viaggi$sesso, 
levels=c("1", 
"2"), 
labels=c("Maschi", 
"Femmine")) 


eta5_Fact <- factor(DF_VV_A2019_Viaggi$eta5, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15"), 
labels=c("<=5 anni", 
"6-14 anni", 
"15-17 anni", 
"18-24 anni", 
"25-29 anni", 
"30-34 anni", 
"35-39 anni", 
"40-44 anni", 
"45-49 anni", 
"50-54 anni", 
"55-59 anni", 
"60-64 anni", 
"65-69 anni", 
"70-74 anni", 
">=75 anni")) 


staciv_Fact <- factor(DF_VV_A2019_Viaggi$staciv, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Celibe/nubile'", 
"Coniugato'", 
"Separato di fatto", 
"Separato legalmente", 
"Divorziato", 
"Vedovo")) 


pnasc_Fact <- factor(DF_VV_A2019_Viaggi$pnasc, 
levels=c("1", 
"2"), 
labels=c("Italia", 
"Estero")) 


reg_Fact <- factor(DF_VV_A2019_Viaggi$reg, 
levels=c("010", 
"020", 
"030", 
"040", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200"), 
labels=c("Piemonte", 
"Valle d'Aosta/Vallee' d'Aoste", 
"Lombardia", 
"Trentino A.Adige/Sudtirol", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


rip_Fact <- factor(DF_VV_A2019_Viaggi$rip, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


istr_Fact <- factor(DF_VV_A2019_Viaggi$istr, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13"), 
labels=c("Nessun titolo", 
"Licenza elementare", 
"Licenza media (licenza di avviamento professionale)", 
"Titolo di istruzione secondaria superiore che non permette l'accesso all'universita'", 
"Diploma di istruzione secondaria superiore che permette l'accesso all'universita'", 
"Diploma terziario extra-universitario (AFAM: Accademia di belle arti, Istituto superiore di industrie artistiche,Accademia naz. di arte drammatica, Conservatorio musicale e istituto musicale pareggiato, Accademia di danza, Scuola sup. per interprete e trad", 
"Diploma universitario (corso di diploma universitario, istituto superiore di educazione fisica, scuola diretta a fini speciali, scuola parauniversitaria)", 
"Laurea di primo livello - nuovo ordinamento (corsi di 3 anni)", 
"Diploma di laurea - vecchio ordinamento (corsi di 4/6 anni)", 
"Laurea specialistica a ciclo unico - nuovo ordinamento (corsi di 5/6 anni)", 
"Laurea specialistica - nuovo ordinamento (corsi di secondo livello di 2 anni)", 
"Titolo di studio post-laurea o post-AFAM (diploma di specializzazione, master universitario di 1  e di 2  livello)", 
"Titolo di dottore di ricerca")) 


condogg_Fact <- factor(DF_VV_A2019_Viaggi$condogg, 
levels=c("01", 
"02", 
"03"), 
labels=c("Occupato", 
"In cerca di occupazione", 
"Inattivo")) 


posiz_Fact <- factor(DF_VV_A2019_Viaggi$posiz, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13"), 
labels=c("Dirigente", 
"Quadro", 
"Impiegato", 
"Operaio", 
"Apprendista", 
"Lavorante a domicilio per conto d'imprese", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Socio di cooperativa", 
"Coadiuvante nell'azienda di un familiare", 
"Collaboratore coordinato e continuativo (con o senza progetto)", 
"Prestatore d'opera occasionale")) 


ateco10_Fact <- factor(DF_VV_A2019_Viaggi$ateco10, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10"), 
labels=c("Agricoltura, caccia e pesca'", 
"Industria'", 
"Costruzioni'", 
"Commercio, trasporto, magazzinaggio, alberghi, ristoranti'", 
"Informazione e comunicazione'", 
"Attivita' finanziarie", 
"Attivita' immobiliari", 
"Attivita' professionali, scientifiche, attivita' amministrative, servizi di supporto", 
"Pubblica amministrazione, Difesa, Istruzione, Sanita', altri servizi sociali", 
"Altri servizi")) 


cond_Fact <- factor(DF_VV_A2019_Viaggi$cond, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07"), 
labels=c("Occupato", 
"In cerca di prima occupazione", 
"In cerca di nuova occupazione", 
"Casalinga", 
"Studente", 
"Persona ritirata dal lavoro", 
"In altra condizione")) 


ORARIO_Fact <- factor(DF_VV_A2019_Viaggi$ORARIO, 
levels=c("1", 
"2"), 
labels=c("A tempo pieno", 
"A tempo parziale")) 


RAPP_Fact <- factor(DF_VV_A2019_Viaggi$RAPP, 
levels=c("1", 
"2"), 
labels=c("A tempo determinato", 
"A tempo indeterminato")) 


CODPROF_Fact <- factor(DF_VV_A2019_Viaggi$CODPROF, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA", 
"PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE", 
"PROFESSIONI TECNICHE", 
"PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO", 
"PROFESSIONI QUALIFICATE NELLE ATTIVITA' COMMERCIALI E NEI SERVIZI", 
"ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI", 
"CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI", 
"PROFESSIONI NON QUALIFICATE", 
"FORZE ARMATE")) 


TIPOVGG_Fact <- factor(DF_VV_A2019_Viaggi$TIPOVGG, 
levels=c("L0119", 
"L0219", 
"L0319", 
"L0419", 
"L0519", 
"L0619", 
"L0719", 
"L0819", 
"L0919", 
"L1019", 
"L1119", 
"L1219", 
"V0119", 
"V0219", 
"V0319", 
"V0419", 
"V0519", 
"V0619", 
"V0719", 
"V0819", 
"V0919", 
"V1019", 
"V1119", 
"V1219"), 
labels=c("viaggio di lavoro concluso a gennaio 2019", 
"viaggio di lavoro concluso a febbraio 2019", 
"viaggio di lavoro concluso a marzo 2019", 
"viaggio di lavoro concluso ad aprile 2019", 
"viaggio di lavoro concluso a maggio 2019", 
"viaggio di lavoro concluso a giugno 2019", 
"viaggio di lavoro concluso a luglio 2019", 
"viaggio di lavoro concluso ad agosto 2019", 
"viaggio di lavoro concluso a settembre 2019", 
"viaggio di lavoro concluso a ottobre 2019", 
"viaggio di lavoro concluso a novembre 2019", 
"viaggio di lavoro concluso a dicembre 20019", 
"viaggio di vacanza concluso a gennaio 2019", 
"viaggio di vacanza concluso a febbraio 2019", 
"viaggio di vacanza concluso a marzo 2019", 
"viaggio di vacanza concluso ad aprile 20019", 
"viaggio di vacanza concluso a maggio 2019", 
"viaggio di vacanza concluso a giugno 2019", 
"viaggio di vacanza concluso a luglio 2019", 
"viaggio di vacanza concluso ad agosto 20019", 
"viaggio di vacanza concluso a settembre 2019", 
"viaggio di vacanza concluso a ottobre 2019", 
"viaggio di vacanza concluso a novembre 2019", 
"viaggio di vacanza concluso a dicembre 2019")) 


DEST_RE_Fact <- factor(DF_VV_A2019_Viaggi$DEST_RE, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"121", 
"122", 
"123", 
"124", 
"125", 
"126", 
"127", 
"128", 
"130", 
"132", 
"133", 
"134", 
"135", 
"136", 
"137", 
"138", 
"139", 
"142", 
"159", 
"161", 
"163", 
"164", 
"165", 
"166", 
"167", 
"169", 
"172", 
"200", 
"300", 
"400", 
"500", 
"600"), 
labels=c("Piemonte", 
"Valle d'Aosta-Vallee' d'Aoste", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Austria", 
"Belgio", 
"Danimarca", 
"Finlandia", 
"Francia", 
"Germania", 
"Grecia", 
"Irlanda", 
"Lussemburgo", 
"Olanda", 
"Polonia", 
"Portogallo", 
"Regno Unito", 
"Repubblica Ceca", 
"Repubblica Slovacca", 
"Spagna", 
"Svezia", 
"Ungheria", 
"Bulgaria", 
"Cipro", 
"Estonia", 
"Latvia", 
"Lituania", 
"Malta", 
"Romania", 
"Slovenia", 
"Croazia", 
"Paesi non UE", 
"Nord America", 
"Centro-Sud America", 
"Africa", 
"Asia-Oceania")) 


DEST_PR_Fact <- factor(DF_VV_A2019_Viaggi$DEST_PR, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110", 
"111", 
"999"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Valle d'Aosta/Vallee' d'Aoste", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forli'-Cesena", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Perugia", 
"Terni", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Pordenone", 
"Isernia", 
"Oristano", 
"Biella", 
"Lecco", 
"Lodi", 
"Rimini", 
"Prato", 
"Crotone", 
"Vibo Valentia", 
"Verbano-Cusio-Ossola", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias", 
"Monza e della Brianza", 
"Fermo", 
"Barletta-Andria-Trani", 
"Sud Sardegna", 
"Non sa")) 


DEST_IE_Fact <- factor(DF_VV_A2019_Viaggi$DEST_IE, 
levels=c("1", 
"2"), 
labels=c("Italia", 
"Estero")) 


MOTVAC_Fact <- factor(DF_VV_A2019_Viaggi$MOTVAC, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Piacere, svago, vacanza", 
"Visita a parenti e/o amici", 
"Motivo religiosio, pellegrinaggio", 
"Trattamento di salute, cura termale")) 


MEZZO_Fact <- factor(DF_VV_A2019_Viaggi$MEZZO, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10"), 
labels=c("Aereo", 
"Treno", 
"Nave, battello, motoscafo", 
"Auto a noleggio", 
"Auto propria, di parenti/amici", 
"Pullman turistico", 
"Pullman di linea", 
"Camper, autocaravan", 
"Moto, Motoscooter", 
"Altro")) 


ALLOG_Fact <- factor(DF_VV_A2019_Viaggi$ALLOG, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18"), 
labels=c("Albergo/motel/pensione", 
"Residenza per cure fisiche ed estetiche", 
"Campo lavoro e vacanza", 
"Mezzo pubblico di trasporto", 
"Centro congressi e conferenze", 
"Villaggio vacanza", 
"Campeggio", 
"Marina (Barca in porto, darsena)", 
"Istituto religioso", 
"Altra struttura collettiva", 
"Stanza in affitto", 
"Abitazione in affitto", 
"Abitazione in proprieta o multiprop.", 
"Abitazione di parenti o amici gratuita", 
"Barca in sito non organizzato", 
"Altro tipo di sistemazione privata", 
"Agriturismo", 
"Bed-breakfast")) 


MOTLAV_Fact <- factor(DF_VV_A2019_Viaggi$MOTLAV, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14"), 
labels=c("Partecipazione a congresso, convegno, conferenza, seminario", 
"Partecipazione a riunione daffari", 
"Esibizione, fiera, mostra, esposizione (visita e/o partecipaz. Professionale)", 
"Missione di lavoro o militare (amministrazione pubblica e/o privata, organismo internazionale, altra istituzione)", 
"Viaggio o meeting dazienda per la familiarizzazione dei dipendenti e/o soci (inclusi viaggi di incentivazione)", 
"Attivita di rappresentanza, vendita, acquisto, pubblicita, installazione, collaudo, manutenzione, riparazione, ecc.", 
"Attivita culturale, artistica, religiosa, sportiva", 
"Attivita di docenza (didattica, consulenza, istruzioni)", 
"Partecipazione (allievo) a corso di lingua straniera", 
"Partecipazione (allievo) a corso di aggiornamento professionale (esclusa lingua straniera)", 
"Attivita del personale viaggiante a bordo di mezzi per il trasporto di persone e/o merci", 
"Altro motivo", 
"Attivita' nel settore dell'edilizia e dell'artigianato", 
"Attivita' di controllo e ispezione")) 


ORGALL_Fact <- factor(DF_VV_A2019_Viaggi$ORGALL, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Prenot. diretta", 
"Prenot. in agenzia/tour operator", 
"Nessuna prenotazione", 
"Non sa/non risponde")) 


ORGTRA_Fact <- factor(DF_VV_A2019_Viaggi$ORGTRA, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Prenot. diretta", 
"Prenot. in agenzia/tour operator", 
"Nessuna prenotazione", 
"Non sa/non risponde")) 


ALPART_Fact <- factor(DF_VV_A2019_Viaggi$ALPART, 
levels=c("1", 
"2"), 
labels=c("si", 
"no")) 


IORGALL_Fact <- factor(DF_VV_A2019_Viaggi$IORGALL, 
levels=c("1", 
"2", 
"3"), 
labels=c("SI", 
"NO", 
"NON SA")) 


IORGTRA_Fact <- factor(DF_VV_A2019_Viaggi$IORGTRA, 
levels=c("1", 
"2", 
"3"), 
labels=c("SI", 
"NO", 
"NON SA")) 


TIPOMARE_Fact <- factor(DF_VV_A2019_Viaggi$TIPOMARE, 
levels=c("1", 
"2"), 
labels=c("si", 
"no")) 


TIPOCROC_Fact <- factor(DF_VV_A2019_Viaggi$TIPOCROC, 
levels=c("1", 
"2"), 
labels=c("si", 
"no")) 


TIPOMONT_Fact <- factor(DF_VV_A2019_Viaggi$TIPOMONT, 
levels=c("1", 
"2"), 
labels=c("si", 
"no")) 


TIPOCITTA_Fact <- factor(DF_VV_A2019_Viaggi$TIPOCITTA, 
levels=c("1", 
"2"), 
labels=c("si", 
"no")) 


TIPOCAMP_Fact <- factor(DF_VV_A2019_Viaggi$TIPOCAMP, 
levels=c("1", 
"2"), 
labels=c("si", 
"no")) 


TIPOALTRO_Fact <- factor(DF_VV_A2019_Viaggi$TIPOALTRO, 
levels=c("1", 
"2"), 
labels=c("si", 
"no")) 


TRIM_Fact <- factor(DF_VV_A2019_Viaggi$TRIM, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Gennaio-Marzo", 
"Aprile-Giugno", 
"Luglio-Settembre", 
"Ottobre-Dicembre")) 


DOMINIO_Fact <- factor(DF_VV_A2019_Viaggi$DOMINIO, 
levels=c("1", 
"2", 
"3"), 
labels=c("Comuni centro dell'area metropolitana", 
"Comuni periferia dell'area metropolitana e comuni con 50.001 ab. e piu'", 
"Altri comuni fino a 50.000 ab.")) 


npart_Fact <- factor(DF_VV_A2019_Viaggi$npart, 
levels=c("01", 
"02", 
"03", 
"04", 
"05"), 
labels=c("1", 
"2", 
"3", 
"4", 
"5 e piu' partecipanti")) 


TIPO_Fact <- factor(DF_VV_A2019_Viaggi$TIPO, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08"), 
labels=c("Cultura", 
"Bellezze naturali", 
"Trattamenti di salute/benessere/beauty farm/spa", 
"Studio/formazione", 
"Pratica di sport (settimana bianca, trekking, escursionismo, caccia o pesca, scuola di vela, rafting, equitazione, ballo", 
"Gastronomia, folklore,spettacoli", 
"Divertimento, riposo o relax", 
"Altro motivo (volontariato, shopping, hobby,eventi sportivi,visita a parchi divertimento, zoo, acquario, etc.)")) 


piattall1_Fact <- factor(DF_VV_A2019_Viaggi$piattall1, 
levels=c("1", 
"2"), 
labels=c("SI", 
"NO")) 


piattall2_Fact <- factor(DF_VV_A2019_Viaggi$piattall2, 
levels=c("1", 
"2"), 
labels=c("SI", 
"NO")) 


piattall3_Fact <- factor(DF_VV_A2019_Viaggi$piattall3, 
levels=c("1", 
"2"), 
labels=c("SI", 
"NO")) 

save.image (file="DF_VV_A2019_Viaggi.RData")
